## org.hornetq.spi.core.remoting
Interface Connection

    public interface Connection

The connection used by a channel to write data to.

Version:
  `$Revision$`
Author:
  Tim Fox

Method Summary
`void` `addReadyListener(ReadyListener listener)`
`void` `checkFlushBatchBuffer()` Called periodically to flush any data in the batch buffer
`void` `close()` closes this connection.
`HornetQBuffer` `createBuffer(int size)` Create a new HornetQBuffer of the given size.
`TransportConfiguration` `getConnectorConfig()` Generates a `TransportConfiguration` to be use to connect to the same target this is connect to
`Object` `getID()` returns the unique id of this wire.
`String` `getRemoteAddress()` returns a string representation of the remote address this connection is connected to.
`void` `removeReadyListener(ReadyListener listener)`
`void` `write(HornetQBuffer buffer)` writes the buffer to the connection with no flushing or batching
`void` `write(HornetQBuffer buffer, boolean flush, boolean batched)` writes the buffer to the connection and if flush is true returns only when the buffer has been physically written to the connection.

Method Detail

### createBuffer

    HornetQBuffer createBuffer(int size)

  Create a new HornetQBuffer of the given size.

  Parameters:
    `size` - the size of buffer to create
  Returns:
    the new buffer.

### getID

    Object getID()

  returns the unique id of this wire.

  Returns:
    the id

### write

    void write(HornetQBuffer buffer,
               boolean flush,
               boolean batched)

  writes the buffer to the connection and if flush is true returns only when the buffer has been physically written to the connection.

  Parameters:
    `buffer` - the buffer to write
    `flush` - whether to flush the buffers onto the wire
    `batched` - whether the packet is allowed to batched for better performance

### write

    void write(HornetQBuffer buffer)

  writes the buffer to the connection with no flushing or batching

  Parameters:
    `buffer` - the buffer to write

### close

    void close()

  closes this connection.

### getRemoteAddress

    String getRemoteAddress()

  returns a string representation of the remote address this connection is connected to.

  Returns:
    the remote address

### checkFlushBatchBuffer

    void checkFlushBatchBuffer()

  Called periodically to flush any data in the batch buffer

### addReadyListener

    void addReadyListener(ReadyListener listener)

### removeReadyListener

    void removeReadyListener(ReadyListener listener)

### getConnectorConfig

    TransportConfiguration getConnectorConfig()

  Generates a `TransportConfiguration` to be use to connect to the same target this is connect to

  Returns:

Copyright © 2009 Red Hat Inc. All Rights Reserved.